[accomplishment]
// ACCOMPLISHMENT: Edited Accomplishment Identification ('title' field)
// .
// ORIGINAL TRANSLATION:
// Edited Accomplishment Identification

// .
// ----- TRANSLATION INSTRUCTIONS ----- 
// A short description of the accomplishment.
//          NOTE: Describe this in the past tense as if it has been achieved (e.g. Registered On Launchpad). 
_("ubuntu-desktop/accomplishments-edit-credentials_title")
// ACCOMPLISHMENT: Edited Accomplishment Identification ('description' field)
// .
// ORIGINAL TRANSLATION:
// You have edited your identity settings.

// .
// ----- TRANSLATION INSTRUCTIONS ----- 
// Add a descriptive single-line summary of the accomplishment.
_("ubuntu-desktop/accomplishments-edit-credentials_description")
// ACCOMPLISHMENT: Edited Accomplishment Identification ('summary' field)
// .
// ORIGINAL TRANSLATION:
// For opportunities that require external verification (such as the <i>Ubuntu Community Accomplishments</i> collection, you need to provide various authentication details so that these opportunities can be checked for completion. You were asked for these details when you installed these collections to your computer.
// You may however need to change the details you provided, for example, such as if have changed your email address or other details.
// This accomplishment is awarded when you have edited these credentials.

// .
// ----- TRANSLATION INSTRUCTIONS ----- 
// Introduce the accomplishment, explain what the different concepts are that are involved, and provide guidance on how to accomplish it.
//          NOTE: Break this into paragraphs by putting each paragraph on a new line. 
//          FORMATTING ALLOWED: <i> <strong> <tt>
_("ubuntu-desktop/accomplishments-edit-credentials_summary")
// ACCOMPLISHMENT: Edited Accomplishment Identification ('steps' field)
// .
// ORIGINAL TRANSLATION:
// Click the <i>Edit</i> menu in this application.
// Click the <i>Identification...</i> option.
// You will be presented with all of the different identity details that are required.
// Edit the boxes and then click the <i>OK</i> button to save them.

// .
// ----- TRANSLATION INSTRUCTIONS ----- 
// Add a series of step-by-step instructions for how to accomplish this trophy.
//          NOTE: Put each step on a new line
//          FORMATTING ALLOWED: <i> <strong> <tt>
_("ubuntu-desktop/accomplishments-edit-credentials_steps")
// ACCOMPLISHMENT: Edited Accomplishment Identification ('tips' field)
// .
// ORIGINAL TRANSLATION:
// Always ensure that you enter the correct details.

// .
// ----- TRANSLATION INSTRUCTIONS ----- 
// Add tips and best practise for accomplishing this trophy.
//          NOTE: Put each tip on a new line
//          FORMATTING ALLOWED: <i> <strong> <tt>
_("ubuntu-desktop/accomplishments-edit-credentials_tips")
// ACCOMPLISHMENT: Edited Accomplishment Identification ('pitfalls' field)
// .
// ORIGINAL TRANSLATION:
// Don't add someone else's identification details: the information you use will be shown in the trophy information so it will be clear that you were cheating!

// .
// ----- TRANSLATION INSTRUCTIONS ----- 
// Add things the user should not do when working to accomplish this trophy.
//          NOTE: Put each pitfall on a new line
//          FORMATTING ALLOWED: <i> <strong> <tt>
_("ubuntu-desktop/accomplishments-edit-credentials_pitfalls")
// ACCOMPLISHMENT: Edited Accomplishment Identification ('help' field)
// .
// ORIGINAL TRANSLATION:
// Click the <i>Help</i> menu.

// .
// ----- TRANSLATION INSTRUCTIONS ----- 
// Add related help resources (e.g. IRC channel names).
//          NOTE: Put each help resource on a new line
//          FORMATTING ALLOWED: <i> <strong> <tt>
_("ubuntu-desktop/accomplishments-edit-credentials_help")
