#!/usr/bin/python
import traceback, sys
import subprocess

try:
    # get architecture
    out = subprocess.check_output(['uname', '-i'],
        universal_newlines=True)

    if out.startswith("arm"):
        sys.exit(0)
    else:
        sys.exit(1)

except SystemExit, e:
    sys.exit(e.code)
except:
    traceback.print_exc()
    sys.exit(2)
